var annotServer="http://localhost:8280/AnnotationManagerN4J/annotator/";
var viewerAddress="http://libcoll.mpiwg-berlin.mpg.de/libviewa?url=";
var docNamespace="http://echo.mpiwg-berlin.mpg.de/documents/";

//var dcDataPath="http://euler.mpiwg-berlin.mpg.de:58080/echo_nav/echo_pages/metadata/getDCDataFromPath?path=";
var dcDataPath="http://libcoll.mpiwg-berlin.mpg.de/metadata/getDCDataFromPath?path=";
var textPath="http://digilib.mpiwg-berlin.mpg.de/digitallibrary/servlet/Texter?fn=";
	

function getDCdata(path,obj){
	
	var splitted = path.split("?");
	var docUri=splitted[0];
	
	docUri = docUri.replace(docNamespace,textPath);
	var md = dcDataPath+docUri+"/index.meta";
	
	 $('<div/>', {
		    'class': 'annotatonMetaData',
		  }).load(md, function (){
			 $(this).children().children().addClass('dcMetaData');
		  }).appendTo(obj);
	
}

function createLinkFromURI(uri){
	var docUri = uri.replace(docNamespace,viewerAddress);
	docUri = docUri.replace("?pn","&pn");
	return docUri;
}

function annotations(tagId){
	$.getJSON(annotServer+'tags/'+tagId+"/annotations?sortBy=uri", function(data) {
		//var items = [];
		  var rows = data["rows"];
		  
		  $('#annotations').html("");
		  for (var i=0;i<rows.length;i++){
			  var text=rows[i]['text'];
			  var author=rows[i]['user']['name'];
			  var docUri=createLinkFromURI(rows[i]['uri']);
			  
			  var ret = '<div id="an_'+i+'" class="annotationRow">';
			  ret +='<div class="annotationCol">'+text+'</div>';
			  ret +='<div class="annotationCol">'+author+'</div>';
			  ret +='<div class="annotationCol"><a target="libcoll" href="'+docUri+'">'+docUri+'</a></div>';
			  ret+="</div>";
				
			  $('#annotations').append(ret);
			  //items.push(ret);
			  getDCdata(rows[i]['uri'],$('#an_'+i));
		  }
		  //$('#annotations').html(items.join(''));
		 
		
	});
}


$(document).ready(function(){
	$.getJSON(annotServer+'tags', function(data) {
		  var items = [];
		  var rows = data["rows"];
		 
		  for (var i=0;i<rows.length;i++){
			  	 val=rows[i]['name'];
				 items.push('<div class="tagLink" onclick="javascript: annotations(\''+rows[i]["id"]+'\');">'+val+'</div>');
			
		  }
		  $('#tagList').html(items.join(''));
		 
		});


	
 });
